Subject: [PATCH 07/21] ASoC: io: Prevent use of regmap if request fails

From: [email-masked] (Lee Jones)
Date: Thu, 26 Jul 2012 16:23:33 +0100

On 26/07/12 16:12, Mark Brown wrote:
> On Thu, Jul 26, 2012 at 03:51:13PM +0100, Lee Jones wrote:
>
>> I don't think we want to use regmap at all, but we're forced to by
>> soc-core. How do we over-ride that behavior? By writing some
>> nonsense into codec->control_data?
>
> You should use that for your control data, yes - you're not forced to
> use regmap at all.  Like I say we've got a bunch of drivers doing so
> already.

What's my 'control data'? It's not used in the original codec patch.

The old way wants to go:

snd_soc_update_bits() -> snd_soc_read() -> ab8500_codec_read_reg()

When then calls back into the abx500.

So what 'control data' should I be storing in the codec struct?

-- 
Lee Jones
Linaro ST-Ericsson Landing Team Lead
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog